C******************** START FILE UDISP1.FOR ; GROUP UEDTS2 ******************
C===========================================================
C&  UDISP1   UREAD ROUTINE - DISPLAY SWITCH SETTINGS
C    D. MC CUNE   MAY 1980
C
C  DISPLAY SWITCH SETTING
C
C   INIT=0:  PRINT HEADING; OTHERWISE DONT
C   INUM     NUMBER IDENTIFYING SWITCH
C   AVAL     VALUE OF SWITCH
C   ALOCK    WHETHER OR NOT VALUE IS LOCKED
C   AUSE     "$" TERMINATED STRING DESCRIBING SWITCH
C
      SUBROUTINE UDISP1(INIT,INUM,AVAL,ALOCK,AUSE)
C
      USE USERIO
      CHARACTER*3 AVAL,ALOCK
      CHARACTER*50 AUSE
C
      IF(INIT.EQ.0) WRITE(LUNTRM,1001)
1001  FORMAT(/1X,'#  VALUE LOCK? USAGE'/
     >          1X,'-- ----- ----- ------------------------------')
      NCDISP=MIN0(50,(INDEX(AUSE,MDOLLR)-1))
      WRITE(LUNTRM,1002) INUM,AVAL,ALOCK,AUSE
 1002 FORMAT(1X,I2,1X,A3,3X,A3,3X,A)
      RETURN
      	END
C******************** END FILE UDISP1.FOR ; GROUP UEDTS2 ******************
